Create machine
curl --request POST \
--url https://api.akua.dev/v1/machines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cluster_id": "<string>",
"instance_type": "<string>",
"compute_config_id": "<string>",
"name": "<string>",
"node_claim": {}
}
'import requests
url = "https://api.akua.dev/v1/machines"
payload = {
"cluster_id": "<string>",
"instance_type": "<string>",
"compute_config_id": "<string>",
"name": "<string>",
"node_claim": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cluster_id: '<string>',
instance_type: '<string>',
compute_config_id: '<string>',
name: '<string>',
node_claim: {}
})
};
fetch('https://api.akua.dev/v1/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Machines
Create machine
Creates a machine and returns a long-running operation envelope.
POST
/
machines
Create machine
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.
Required string length:
1 - 64Example:
"create-prod-2026-05-07"
Body
application/json
Response
Machine creation accepted
Required string length:
1 - 53⌘I